class CreateCityForecasts < ActiveRecord::Migration[5.0]
  def up
    create_table :city_forecasts do |t|
      t.datetime :datetime
      t.integer :temp_low
      t.integer :temp_high
      t.string :weather_text
      t.string :weather_pic
      t.string :cityname
      t.string :win_dir
      t.string :win_speed

      t.timestamps
    end
# 两个index 一起查询会不会导致其中一个作用几乎消失
# 需不需要按城市来分表
    add_index :city_forecasts, :cityname
    add_index :city_forecasts, :datetime
  end

  def down
    drop_table :city_forecasts
  end
end
