class CreateTenMinAutoStations < ActiveRecord::Migration[5.0]
  def up
    create_table :auto_station_ten_mins do |t|
      t.datetime   :datetime
      t.string   :sitenumber
      t.string   :name
      t.string   :tempe
      t.string   :rain
      t.string   :wind_direction
      t.string   :wind_speed
      t.string   :visibility
      t.string   :humi
      t.string   :max_tempe
      t.string   :min_tempe
      t.string   :max_speed
      t.string   :max_direction
      t.string   :pressure

      t.timestamps
    end

    add_index :auto_station_ten_mins, :datetime
    add_index :auto_station_ten_mins, :sitenumber
  end

  def down
    drop_table :auto_station_ten_mins
  end
end

