module JsonColumns
  def json_columns *columns
    columns.each do |column|
      define_method(column) {
        value = self.read_attribute(column)
        value && JSON.parse(value.gsub('=>', ':'))
      }
      define_method("#{column}=") { |value|
        self.[]=( column, JSON.dump(value) )
      }
    end
  end
end