class CreateAqiForecasts < ActiveRecord::Migration[5.0]
  def up
    create_table :aqi_forecasts do |t|
      t.datetime :datetime
      t.string :prompt
      t.text :list

      t.timestamps
    end

    add_index :aqi_forecasts, :datetime
  end

  def down
    drop_table :aqi_forecasts
  end
end

